> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Export organizations by paypoint

GET https://api-sandbox.payabli.com/api/Export/organizations/{format}/org/{orgId}

This endpoint is deprecated. To export this data, use [List suborganizations by organization](/developers/api-reference/organization/get-list-of-organizations-for-entrypoint) with the `exportFormat` query parameter instead.

Export a list of child organizations (suborganizations) for a parent organization.

Reference: https://docs.payabli.com/developers/api-reference/organization/export-list-of-child-organization-for-a-parent-organization

## Authentication

- `Authorization` header (bearer token, required)
- `requestToken` header (required) — Long-lived API token sent in the `requestToken` header. See [API token authentication](/developers/api-tokens).

## Servers

- `https://api-sandbox.payabli.com/api` (Sandbox, default)
- `https://api.payabli.com/api` (Production)

## Request

### Path parameters

- `format` (enum, required) — Format for the export, either XLSX or CSV.
  - Allowed values: `csv`, `xlsx`
- `orgId` (integer, required) — The numeric identifier for organization, assigned by Payabli.

### Query parameters

- `columnsExport` (string, optional)
- `fromRecord` (integer, optional, default: 0) — The number of records to skip before starting to collect the result set.
- `limitRecord` (integer, optional, default: 25000) — The number of records to return for the query. The maximum is 30,000 records. When this parameter isn't sent, the API returns up to 25,000 records.
- `parameters` (map from string to string, optional) — Collection of field names, conditions, and values used to filter the query **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client, for example: \--url [https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000\&limitRecord=20](https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount\(gt\)=1000\&limitRecord=20) should become: \--url [https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000\&limitRecord=20](https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount\(gt\)=1000\&limitRecord=20) See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. **Accepted field names:** * `name` (ct, nct, eq, ne) * `type` (ne, eq) * `contactName` (ct, nct, eq, ne) * `contactTitle` (ct, nct, eq, ne) * `contactEmail` (ct, nct, eq, ne) * `contactPhone` (ct, nct, eq, ne) * `city` (ct, nct, eq, ne) * `state` (in, nin, eq, ne) * `address` (ct, nct, eq, ne) * `country` (ct, nct, eq, ne) * `zip` (ct, nct, eq, ne) * `hasBilling` any value greater than zero is taken as TRUE otherwise is FALSE * `hasResidual` any value greater than zero is taken as TRUE otherwise is FALSE Accepted comparison operators - enclosed between parentheses: * eq or empty => equal * gt => greater than * ge => greater or equal * lt => less than * le => less or equal * ne => not equal * ct => contains * nct => not contains * in => inside array * nin => not inside array Accepted parameters: * limitRecord : max number of records for query (default="20", "0" or negative value for all) * fromRecord : initial record in query Example: name(ct)=hoa return all records where name contains "hoa"

## Response

### 200

Success

- `map from string to any`

## Examples

**Response**

```json
{
  "key": "value"
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        clientId: "YOUR_CLIENT_ID",
        clientSecret: "YOUR_CLIENT_SECRET",
    });
    await client.export.exportOrganizations("csv", 123, {
        columnsExport: "BatchDate:Batch_Date,PaypointName:Legal_name",
        fromRecord: 251,
        limitRecord: 1000,
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    client_id="YOUR_CLIENT_ID",
    client_secret="YOUR_CLIENT_SECRET",
)

client.export.export_organizations(
    format="csv",
    org_id=123,
    columns_export="BatchDate:Batch_Date,PaypointName:Legal_name",
    from_record=251,
    limit_record=1000,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliApiClient;
import io.github.payabli.api.resources.export.requests.ExportOrganizationsRequest;
import io.github.payabli.api.types.ExportFormat1;

public class Example {
    public static void main(String[] args) {
        PayabliApiClient client = PayabliApiClient.withCredentials("YOUR_CLIENT_ID", "YOUR_CLIENT_SECRET")
            .build()
        ;

        client.export().exportOrganizations(
            ExportFormat1.CSV,
            123,
            ExportOrganizationsRequest
                .builder()
                .columnsExport("BatchDate:Batch_Date,PaypointName:Legal_name")
                .fromRecord(251)
                .limitRecord(1000)
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.export.export_organizations(
  format: "csv",
  org_id: 123,
  columns_export: "BatchDate:Batch_Date,PaypointName:Legal_name",
  from_record: 251,
  limit_record: 1000
)

```

```csharp
using PayabliApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new PayabliApiClient(
            clientId: "YOUR_CLIENT_ID",
            clientSecret: "YOUR_CLIENT_SECRET"
        );

        await client.Export.ExportOrganizationsAsync(
            format: ExportFormat1.Csv,
            orgId: 123,
            request: new ExportOrganizationsRequest {
                ColumnsExport = "BatchDate:Batch_Date,PaypointName:Legal_name",
                FromRecord = 251,
                LimitRecord = 1000
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithClientCredentials(
            "YOUR_CLIENT_ID",
            "YOUR_CLIENT_SECRET",
        ),
    )
    request := &payabli.ExportOrganizationsRequest{
        ColumnsExport: payabli.String(
            "BatchDate:Batch_Date,PaypointName:Legal_name",
        ),
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            1000,
        ),
    }
    client.Export.ExportOrganizations(
        context.TODO(),
        payabli.ExportFormat1Csv.Ptr(),
        123,
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Types\ExportFormat1;
use Payabli\Export\Requests\ExportOrganizationsRequest;

$client = new PayabliClient(
    clientId: 'YOUR_CLIENT_ID',
    clientSecret: 'YOUR_CLIENT_SECRET',
);
$client->export->exportOrganizations(
    ExportFormat1::Csv->value,
    123,
    new ExportOrganizationsRequest([
        'columnsExport' => 'BatchDate:Batch_Date,PaypointName:Legal_name',
        'fromRecord' => 251,
        'limitRecord' => 1000,
    ]),
);

```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Export/organizations/csv/org/123?columnsExport=BatchDate%3ABatch_Date%2CPaypointName%3ALegal_name&fromRecord=251&limitRecord=1000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```